# Models

## The CommonSegment object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"CommonSegment":{"type":"object","description":"","allOf":[{"type":"object","properties":{"name":{"type":"object","description":"Localized name of the customer segment.","additionalProperties":{"type":"string"}},"description":{"type":"object","description":"Localized description of the customer segment.","additionalProperties":{"type":"string"}},"validity":{"type":"object","description":"Determines the time frame in which the customer segment is valid.","properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}}},"status":{"type":"string","description":"Determines whether the customer segment is active or not. If not provided the value is set to `INACTIVE`","enum":["ACTIVE","INACTIVE"]},"siteCode":{"type":"string","description":"Determines for which site the customer segment is available."},"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true}}},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataCreate"}}}],"required":["name","siteCode"]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The SegmentCreation object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"SegmentCreation":{"allOf":[{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the customer segment. It will be auto-generated if not provided."}}},{"$ref":"#/components/schemas/CommonSegment"}]},"CommonSegment":{"type":"object","description":"","allOf":[{"type":"object","properties":{"name":{"type":"object","description":"Localized name of the customer segment.","additionalProperties":{"type":"string"}},"description":{"type":"object","description":"Localized description of the customer segment.","additionalProperties":{"type":"string"}},"validity":{"type":"object","description":"Determines the time frame in which the customer segment is valid.","properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}}},"status":{"type":"string","description":"Determines whether the customer segment is active or not. If not provided the value is set to `INACTIVE`","enum":["ACTIVE","INACTIVE"]},"siteCode":{"type":"string","description":"Determines for which site the customer segment is available."},"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true}}},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataCreate"}}}],"required":["name","siteCode"]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The SegmentsSearch object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"SegmentsSearch":{"type":"object","properties":{"q":{"type":"string","description":"A standard query parameter is used to search for specific values. \n\nSee: [Standard practises - Query parameter](https://developer.emporix.io/api-references/standard-practices/q-param/)\n"}}}}}}
```

## The SegmentUpdate object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"SegmentUpdate":{"allOf":[{"$ref":"#/components/schemas/CommonSegment"},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}}]},"CommonSegment":{"type":"object","description":"","allOf":[{"type":"object","properties":{"name":{"type":"object","description":"Localized name of the customer segment.","additionalProperties":{"type":"string"}},"description":{"type":"object","description":"Localized description of the customer segment.","additionalProperties":{"type":"string"}},"validity":{"type":"object","description":"Determines the time frame in which the customer segment is valid.","properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}}},"status":{"type":"string","description":"Determines whether the customer segment is active or not. If not provided the value is set to `INACTIVE`","enum":["ACTIVE","INACTIVE"]},"siteCode":{"type":"string","description":"Determines for which site the customer segment is available."},"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true}}},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataCreate"}}}],"required":["name","siteCode"]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]}}}}
```

## The SegmentUpdateBulk object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"SegmentUpdateBulk":{"allOf":[{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the customer segment."}}},{"$ref":"#/components/schemas/SegmentUpdate"}]},"SegmentUpdate":{"allOf":[{"$ref":"#/components/schemas/CommonSegment"},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}}]},"CommonSegment":{"type":"object","description":"","allOf":[{"type":"object","properties":{"name":{"type":"object","description":"Localized name of the customer segment.","additionalProperties":{"type":"string"}},"description":{"type":"object","description":"Localized description of the customer segment.","additionalProperties":{"type":"string"}},"validity":{"type":"object","description":"Determines the time frame in which the customer segment is valid.","properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}}},"status":{"type":"string","description":"Determines whether the customer segment is active or not. If not provided the value is set to `INACTIVE`","enum":["ACTIVE","INACTIVE"]},"siteCode":{"type":"string","description":"Determines for which site the customer segment is available."},"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true}}},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataCreate"}}}],"required":["name","siteCode"]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]}}}}
```

## The SegmentResponse object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"SegmentResponse":{"allOf":[{"$ref":"#/components/schemas/SegmentUpdateBulk"},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataResponse"}}}]},"SegmentUpdateBulk":{"allOf":[{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the customer segment."}}},{"$ref":"#/components/schemas/SegmentUpdate"}]},"SegmentUpdate":{"allOf":[{"$ref":"#/components/schemas/CommonSegment"},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}}]},"CommonSegment":{"type":"object","description":"","allOf":[{"type":"object","properties":{"name":{"type":"object","description":"Localized name of the customer segment.","additionalProperties":{"type":"string"}},"description":{"type":"object","description":"Localized description of the customer segment.","additionalProperties":{"type":"string"}},"validity":{"type":"object","description":"Determines the time frame in which the customer segment is valid.","properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}}},"status":{"type":"string","description":"Determines whether the customer segment is active or not. If not provided the value is set to `INACTIVE`","enum":["ACTIVE","INACTIVE"]},"siteCode":{"type":"string","description":"Determines for which site the customer segment is available."},"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true}}},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataCreate"}}}],"required":["name","siteCode"]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataResponse":{"allOf":[{"type":"object","properties":{"createdAt":{"description":"The creation date.","type":"string","format":"date-time"},"modifiedAt":{"description":"The modification date.","type":"string","format":"date-time"}}},{"$ref":"#/components/schemas/MetadataUpdate"}]}}}}
```

## The MatchItem object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"MatchItem":{"type":"object","properties":{"id":{"type":"string","description":"Id of the product."}}}}}}
```

## The Match object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"Match":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/MatchItem"}},"segmentIds":{"type":"array","items":{"type":"string"}},"site":{"type":"string"}},"required":["items","segmentIds","site"]},"MatchItem":{"type":"object","properties":{"id":{"type":"string","description":"Id of the product."}}}}}}
```

## The CustomerAssignmentUpsert object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"CustomerAssignmentUpsert":{"type":"object","description":"","properties":{"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true},"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The CustomerAssignmentUpsertBulk object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"CustomerAssignmentUpsertBulk":{"allOf":[{"$ref":"#/components/schemas/CustomerAssignmentUpsert"},{"type":"object","properties":{"customerId":{"type":"string","description":"Unique identifier of an existing customer."},"legalEntityId":{"type":"string","description":"Unique identifier of an existing legal entity. It should be omitted for B2C."}}}]},"CustomerAssignmentUpsert":{"type":"object","description":"","properties":{"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true},"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The CustomerAssignmentB2CResponse object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"CustomerAssignmentB2CResponse":{"allOf":[{"type":"object","properties":{"customer":{"$ref":"#/components/schemas/Customer"}}},{"type":"object","properties":{"assignmentType":{"type":"string","enum":["MANUAL","AUTOMATIC"]}}},{"$ref":"#/components/schemas/CustomerAssignmentUpsert"},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataResponse"}}}]},"Customer":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of an existing customer."},"firstName":{"type":"string","description":"Customer's first name."},"lastName":{"type":"string","description":"Customer's last name."},"email":{"type":"string","description":"Customer's e-mail address."}}},"CustomerAssignmentUpsert":{"type":"object","description":"","properties":{"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true},"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}},"MetadataResponse":{"allOf":[{"type":"object","properties":{"createdAt":{"description":"The creation date.","type":"string","format":"date-time"},"modifiedAt":{"description":"The modification date.","type":"string","format":"date-time"}}},{"$ref":"#/components/schemas/MetadataUpdate"}]}}}}
```

## The CustomerAssignmentResponse object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"CustomerAssignmentResponse":{"allOf":[{"type":"object","properties":{"legalEntity":{"$ref":"#/components/schemas/LegalEntity"}}},{"$ref":"#/components/schemas/CustomerAssignmentB2CResponse"}]},"LegalEntity":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of an existing legal entity."},"name":{"type":"string","description":"Name of a legal entity."}}},"CustomerAssignmentB2CResponse":{"allOf":[{"type":"object","properties":{"customer":{"$ref":"#/components/schemas/Customer"}}},{"type":"object","properties":{"assignmentType":{"type":"string","enum":["MANUAL","AUTOMATIC"]}}},{"$ref":"#/components/schemas/CustomerAssignmentUpsert"},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataResponse"}}}]},"Customer":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of an existing customer."},"firstName":{"type":"string","description":"Customer's first name."},"lastName":{"type":"string","description":"Customer's last name."},"email":{"type":"string","description":"Customer's e-mail address."}}},"CustomerAssignmentUpsert":{"type":"object","description":"","properties":{"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true},"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}},"MetadataResponse":{"allOf":[{"type":"object","properties":{"createdAt":{"description":"The creation date.","type":"string","format":"date-time"},"modifiedAt":{"description":"The modification date.","type":"string","format":"date-time"}}},{"$ref":"#/components/schemas/MetadataUpdate"}]}}}}
```

## The ItemAssignmentUpsert object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"ItemAssignmentUpsert":{"type":"object","description":"","allOf":[{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true}}},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}}]},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The ItemAssignmentUpsertBulk object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"ItemAssignmentUpsertBulk":{"allOf":[{"$ref":"#/components/schemas/ItemAssignmentUpsert"}],"properties":{"id":{"type":"string","description":"Unique identifier of an existing product/category (itemId)."}},"required":["id"]},"ItemAssignmentUpsert":{"type":"object","description":"","allOf":[{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true}}},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}}]},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The ItemAssignmentResponse object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"ItemAssignmentResponse":{"allOf":[{"type":"object","properties":{"segmentId":{"type":"string","description":"Unique identifier of the customer segment."},"item":{"properties":{"id":{"type":"string","description":"Unique identifier of an existing product/category."},"code":{"type":"string","description":"Unique code of an existing product/category."},"name":{"type":"object","description":"Localized name of the product/category","additionalProperties":{"type":"string"}}}},"type":{"type":"string","description":"Determines whether item is a `PRODUCT` or `CATEGORY`","enum":["PRODUCT","CATEGORY"]}}},{"$ref":"#/components/schemas/ItemAssignmentUpsert"},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataResponse"}}}]},"ItemAssignmentUpsert":{"type":"object","description":"","allOf":[{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map of additional attributes.","additionalProperties":true}}},{"type":"object","properties":{"metadata":{"$ref":"#/components/schemas/MetadataUpdate"}}}]},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}},"MetadataResponse":{"allOf":[{"type":"object","properties":{"createdAt":{"description":"The creation date.","type":"string","format":"date-time"},"modifiedAt":{"description":"The modification date.","type":"string","format":"date-time"}}},{"$ref":"#/components/schemas/MetadataUpdate"}]}}}}
```

## The CategoryTreeResponse object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"CategoryTreeResponse":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of an existing category."},"code":{"type":"string","description":"Unique code of an existing category."},"name":{"type":"object","description":"Localized name of the category.","additionalProperties":{"type":"string"}},"localizedDescription":{"type":"object","description":"Localized description of the category.","additionalProperties":{"type":"string"}},"localizedSlug":{"type":"object","description":"Localized category name or code without diacritics for the URL.","additionalProperties":{"type":"string"}},"ecn":{"type":"array","description":"List of external category numbers (ECNs) unique for every category.","items":{"type":"string"}},"validity":{"type":"object","description":"Indicates the time frame in which the category is valid.","properties":{"from":{"type":"string","format":"date-time"},"to":{"type":"string","format":"date-time"}}},"position":{"type":"integer","description":"Category's position, set in relation to the categories on the same level (sharing the same parent) in the tree."},"published":{"type":"boolean","description":"Indicates whether the category has been published or not."},"isSegmentAssigned":{"type":"boolean","description":"Indicates if the category is assigned to any segment."},"subcategories":{"type":"array","items":{"type":"object","description":"Subcategories of this category."}}},"required":["id","code","name","isSegmentAssigned"]}}}}}
```

## The MetadataCreate object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The MetadataUpdate object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The MetadataResponse object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"MetadataResponse":{"allOf":[{"type":"object","properties":{"createdAt":{"description":"The creation date.","type":"string","format":"date-time"},"modifiedAt":{"description":"The modification date.","type":"string","format":"date-time"}}},{"$ref":"#/components/schemas/MetadataUpdate"}]},"MetadataUpdate":{"allOf":[{"type":"object","properties":{"version":{"type":"integer","description":"The document version number."}}},{"$ref":"#/components/schemas/MetadataCreate"}]},"MetadataCreate":{"type":"object","properties":{"mixins":{"type":"object","description":"A key-value map, where key is a mixin name and value is a link to the mixin schema.","additionalProperties":true}}}}}}
```

## The PatchOperation object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"PatchOperation":{"type":"object","properties":{"op":{"type":"string","enum":["add","remove","replace"],"description":"Indicates an operation which should be done on a return. Available operations: `add` `remove` and `replace`"},"path":{"type":"string","description":"Indicates a path for which the value should be applied. For example:`/mixins/additionalAttributes/externalId`, `/name`, `/status`"},"value":{"oneOf":[{"type":"object"},{"type":"string"},{"type":"number"}],"description":"Indicates a value that should be changed or added. The value can be of a primitive type, like string, number, boolean or it can be an object or an array."}},"required":["op","path"]}}}}
```

## The BulkAssignmentResponse object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"BulkAssignmentResponse":{"type":"object","properties":{"index":{"type":"integer","description":"Index of the processed item, matching the item position in request body.\n"},"code":{"type":"integer","description":"HTTP Status Code."},"status":{"type":"string","description":"HTTP Status description."},"message":{"type":"string","description":"Error message."}}}}}}
```

## The BulkResponse object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"BulkResponse":{"allOf":[{"type":"object","properties":{"id":{"type":"string","description":"Item's unique identifier."}}},{"$ref":"#/components/schemas/BulkAssignmentResponse"}]},"BulkAssignmentResponse":{"type":"object","properties":{"index":{"type":"integer","description":"Index of the processed item, matching the item position in request body.\n"},"code":{"type":"integer","description":"HTTP Status Code."},"status":{"type":"string","description":"HTTP Status description."},"message":{"type":"string","description":"Error message."}}}}}}
```

## The Error object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"Error":{"type":"object","properties":{"code":{"type":"integer","description":"HTTP Status Code."},"status":{"type":"string","description":"HTTP Status."},"message":{"type":"string","description":"Error message."},"resourceId":{"type":"string","description":"An ID of the resource which caused the error."},"details":{"type":"object","description":"Error details","properties":{"field":{"type":"string"},"type":{"type":"string"},"message":{"type":"string"},"moreInfo":{"type":"string"}}}}}}}}
```

## The Customer object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"Customer":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of an existing customer."},"firstName":{"type":"string","description":"Customer's first name."},"lastName":{"type":"string","description":"Customer's last name."},"email":{"type":"string","description":"Customer's e-mail address."}}}}}}
```

## The LegalEntity object

```json
{"openapi":"3.0.0","info":{"title":"Customer Segment Service","version":"0.0.1"},"components":{"schemas":{"LegalEntity":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of an existing legal entity."},"name":{"type":"string","description":"Name of a legal entity."}}}}}}
```
